import 'dart:collection';

import 'package:c8y_client/src/rest/representation/base_resource_representation.dart';
import 'package:c8y_client/src/rest/representation/paged_statistics.dart';

abstract class BaseCollectionRepresentation<T> extends BaseResourceRepresentation with IterableMixin<T> {
  PageStatistics pageStatistics;
  String self;
  String next;

  BaseCollectionRepresentation() : super();

}
