class PageStatistics {
  int totalPages;

  int pageSize;

  int currentPage;

  PageStatistics(this.pageSize, this.currentPage, this.totalPages);

  factory PageStatistics.fromJson(Map<String, dynamic> json) {
    var currentPage = json['currentPage'] as int;
    var pageSize = json['pageSize'] as int;
    var totalPages = json['totalPages'] as int;
    return PageStatistics(pageSize, currentPage, totalPages);
  }
}
