import 'current_user_representation.dart';
import 'user_representation.dart';

abstract class UserApi {
  Future<CurrentUserRepresentation> currentUser();

  Future<CurrentUserRepresentation> updateCurrentUser(
      CurrentUserRepresentation var1);

  Future<UserRepresentation> currentUserWithCustomProperties();

  Future<UserRepresentation> user(String var1, String var2);

  Future<UserRepresentation> create(String var1, UserRepresentation var2);

  Future<UserRepresentation> update(String var1, UserRepresentation var2);

  void delete(String var1, String var2);
}
