
import 'cumulocity_login.dart';

class CumulocityCredentials {
  CumulocityLogin _login;

  final String _password;

  CumulocityCredentials(String username, this._password) {
    _login = CumulocityLogin(null, username);
  }

  CumulocityCredentials.withTenant(
      String tenantId, String username, this._password) {
    _login = CumulocityLogin(tenantId, username);
  }

  CumulocityLogin getLogin() {
    return _login;
  }

  String getTenantId() {
    return _login.getTenantId();
  }

  String getUsername() {
    return _login.getUsername();
  }

  String getPassword() {
    return _password;
  }
}
