
import 'package:c8y_client/src/core/model/id.dart';
import 'package:c8y_client/src/rest/representation/inventory/managed_object_representation.dart';

import 'managed_object_collention.dart';

abstract class InventoryApi {
  ManagedObjectCollection managedObjects();
  Future<List<ManagedObjectRepresentation>> list(Map<String, String> map);
  Future<ManagedObjectRepresentation> getManagedObject(ID id);

  void delete(ID id);

  Future<ManagedObjectRepresentation> update(
      ManagedObjectRepresentation managedObject);

  Future<ManagedObjectRepresentation> create(
      ManagedObjectRepresentation managedObject);
}
