import '../cumulocity_media_type.dart';

class InventoryMediaType extends CumulocityMediaType {
  static final InventoryMediaType MANAGED_OBJECT =
      InventoryMediaType("managedObject");

  static final InventoryMediaType MANAGED_OBJECT_COLLECTION =
      InventoryMediaType("managedObjectCollection");

  static final InventoryMediaType MANAGED_OBJECT_REFERENCE =
      InventoryMediaType("managedObjectReference");

  static final InventoryMediaType MANAGED_OBJECT_REFERENCE_COLLECTION =
      InventoryMediaType("managedObjectReferenceCollection");

  static final InventoryMediaType INVENTORY_API =
      InventoryMediaType("inventoryApi");

  static final InventoryMediaType MANAGED_OBJECT_USER =
      InventoryMediaType("managedObjectUser");

  static final String MANAGED_OBJECT_TYPE =
      CumulocityMediaType.APPLICATION_VND_COM_NSN_CUMULOCITY +
          "managedObject+json;" +
          CumulocityMediaType.VND_COM_NSN_CUMULOCITY_PARAMS;

  static final String MANAGED_OBJECT_COLLECTION_TYPE =
      CumulocityMediaType.APPLICATION_VND_COM_NSN_CUMULOCITY +
          "managedObjectCollection+json;" +
          CumulocityMediaType.VND_COM_NSN_CUMULOCITY_PARAMS;

  static final String MANAGED_OBJECT_REFERENCE_TYPE =
      CumulocityMediaType.APPLICATION_VND_COM_NSN_CUMULOCITY +
          "managedObjectReference+json;" +
          CumulocityMediaType.VND_COM_NSN_CUMULOCITY_PARAMS;

  static final String MANAGED_OBJECT_REFERENCE_COLLECTION_TYPE =
      CumulocityMediaType.APPLICATION_VND_COM_NSN_CUMULOCITY +
          "managedObjectReferenceCollection+json;" +
          CumulocityMediaType.VND_COM_NSN_CUMULOCITY_PARAMS;

  static final String INVENTORY_API_TYPE =
      CumulocityMediaType.APPLICATION_VND_COM_NSN_CUMULOCITY +
          "inventoryApi+json;" +
          CumulocityMediaType.VND_COM_NSN_CUMULOCITY_PARAMS;

  final String MANAGED_OBJECT_USER_TYPE =
      CumulocityMediaType.APPLICATION_VND_COM_NSN_CUMULOCITY +
          "managedObjectUser+json;" +
          CumulocityMediaType.VND_COM_NSN_CUMULOCITY_PARAMS;

  InventoryMediaType(String entity) : super.fromEntity(entity);
}
