import 'package:http_parser/http_parser.dart';

abstract class RestOperations {
  Future<Object> get(String path, MediaType mediaType, Function parser);

  Future<Object> put(String path, MediaType mediaType, Function parser);

  Future<Object> post(String path, MediaType mediaType, Function parser);

  Future delete(String path);
}

