class CurrentUserRepresentation {
  String id;

  String userName;

  String password;

  bool shouldResetPassword;

  String lastPasswordChange;

  String firstName;

  String lastName;

  String phone;

  String email;

  static CurrentUserRepresentation fromJson(Map<String, dynamic> json) {
    var id = json['id'] as String;
    var userName = json['userName'] as String;
    var firstName = json['firstName'] as String;
    var lastName = json['lastName'] as String;
    var phone = json['phone'] as String;
    var email = json['email'] as String;
    var password = json['password'] as String;
    var shouldResetPassword = json['shouldResetPassword'] as bool;
    var lastPasswordChange = json['email'] as String;

    return CurrentUserRepresentation()
      ..id = id
      ..userName = userName
      ..firstName = firstName
      ..lastName = lastName
      ..phone = phone
      ..password = password
      ..email = email
      ..shouldResetPassword = shouldResetPassword
      ..lastPasswordChange = lastPasswordChange;

  }
}
